Bug 522096 - virt-manager does not save CPU/memory changes unless other changes are made
Summary: virt-manager does not save CPU/memory changes unless other changes are made
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager
Version: 5.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 13:23 UTC by Kyle Gonzales
Modified: 2010-03-30 08:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:50:43 UTC


Attachments (Terms of Use)
virt-manager.log from the test system (374.26 KB, text/plain)
2009-09-09 13:46 UTC, Kyle Gonzales
no flags Details
Make CPU + Mem changes persistent (7.91 KB, text/plain)
2009-12-16 00:02 UTC, Cole Robinson
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0281 normal SHIPPED_LIVE virt-manager bug fix update 2010-03-29 13:59:22 UTC

Description Kyle Gonzales 2009-09-09 13:23:46 UTC
Description of problem:
Making changes to CPU or memory without making other changes to the VM in virt-manager for KVM based guest persists as long as virt-manager is running.  These changes are not written to /etc/libvirt/qemu/*.xml.  If OTHER changes are made and saved, such as disconnecting a CD image from the CDROM or changing boot options, then the CPU and memory options will be saved as well.

Therefore, if you make changes to CPU and memory within virt-manager without making other changes to the VM, these changes will not persist across restarts of virt-manager, much less the OS.


Version-Release number of selected component (if applicable):
RHEL5.4 GA
virt-manager 0.6.1-8.el5
libvirt 0.6.3-20.1.el5_4

How reproducible:
Every time


Steps to Reproduce:
1. Make sure the VM is not running
2. Make changes to the VM's CPU and/or memory
3. Boot the VM, and verify it is using the new CPU and/or memory settings
4. Check /etc/libvirt/qemu/*.xml for the host, and note that the CPU and/or memory settings have not changed.
5. Shut down the VM.
6. Change another hardware option not related to CPU or memory.
7. Check /etclibvirt/qemu/*.xml, and note that the CPU and/or memory setting are now saved, along with the other hardware option you changed.
  
Actual results:
CPU and memory options are not saved when done alone.

Expected results:
All changes to VM hardware settings should be saved.

Additional info:

Comment 1 Andrew Cathrow 2009-09-09 13:34:45 UTC
After step 2 (before you start the VM) running virsh dumpxml <domid> does show the new, correct data.

Kyle, please can you post your virt-manager log

Comment 2 Kyle Gonzales 2009-09-09 13:46:50 UTC
Created attachment 360210 [details]
virt-manager.log from the test system

Comment 3 Cole Robinson 2009-12-16 00:02:58 UTC
Created attachment 378658 [details]
Make CPU + Mem changes persistent

This also solves bz 539496, so the change is a bit more complicated then required to fix just this bug.

Comment 4 Cole Robinson 2009-12-16 00:16:39 UTC
Fix built in virt-manager-0_6_1-10_el5

Comment 9 errata-xmlrpc 2010-03-30 08:50:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0281.html


Note You need to log in before you can comment on or make changes to this bug.